HelmertTransformation (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.proj.coords
Class HelmertTransformation

    java.lang.Object
      com.bbn.openmap.proj.coords.HelmertTransformation

    public class HelmertTransformation

extends java.lang.Object

Helmert 7-parameter transformation http://www.posc.org/Epicentre.2_2/DataModel/ExamplesofUsage/eu_cs35.html https://www.og.berr.gov.uk/regulation/guidance/co_systems/co_sys_12.htm http://www.ogp.org.uk/pubs/373-10.pdf

Field Summary
`static HelmertTransformation` | `ED50_TO_WGS84_N62N` Parameters to transform from ED50 to WGS84 north of 62deg N.
`static HelmertTransformation` | `WGS84_TO_ED50_N62N` Parameters to transform from WGS84 to ED50 north of 62deg N.
`static HelmertTransformation` | `WGS84_TO_ED50_S62N` Parameters to transform from WGS84 to ED50 south of 62deg N.

Method Summary
`void` | `apply(ECEFPoint coord)`
`static HelmertTransformation` | `find(Ellipsoid source, Ellipsoid dest)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### WGS84_TO_ED50_N62N

    public static final HelmertTransformation WGS84_TO_ED50_N62N

  Parameters to transform from WGS84 to ED50 north of 62deg N.

### ED50_TO_WGS84_N62N

    public static final HelmertTransformation ED50_TO_WGS84_N62N

  Parameters to transform from ED50 to WGS84 north of 62deg N.

### WGS84_TO_ED50_S62N

    public static final HelmertTransformation WGS84_TO_ED50_S62N

  Parameters to transform from WGS84 to ED50 south of 62deg N.

Method Detail

### find

    public static final HelmertTransformation find(Ellipsoid source,
                                                   Ellipsoid dest)

### apply

    public void apply(ECEFPoint coord)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details